WordPress.org

Ready to get started?Download WordPress

Forums

SECURE
[resolved] Removed W3TC and received error (6 posts)

  1. newburns
    Member
    Posted 8 months ago #

    I am in a multisite environement, self hosted.
    I receive the following error just when navigating the administration backend.
    The only action taken before the failure was the removal of W3TC, however, there is no reason to believe this was the cause
    [Sat Dec 14 09:54:43 2013] [error] [client 10.1.12.51] PHP Fatal error: Unsupported operand types in /var/www/html/wp-content/plugins/secure/mvl_wp.php on line 186

    http://wordpress.org/plugins/secure/

  2. secconsult
    Member
    Plugin Author

    Posted 8 months ago #

    Hello newburns, thank you for your feedback.

    That is odd, you could access the admin backend without problems before removing the W3TC plugin, right?

    Which version of PHP, WordPress do you have installed?

    I will investigate this problem and get back to you with a fix as soon as possible.

    Cheers,
    Stefan

  3. newburns
    Member
    Posted 8 months ago #

    WordPress 3.7.1

    [root@mtweb html]# php -v
    PHP 5.3.3 (cli) (built: Dec 11 2013 03:29:57)
    Copyright (c) 1997-2010 The PHP Group
    Zend Engine v2.3.0, Copyright (c) 1998-2010 Zend Technologies
        with the ionCube PHP Loader v4.4.4, Copyright (c) 2002-2013, by ionCube Ltd., and
        with Zend Guard Loader v3.3, Copyright (c) 1998-2010, by Zend Technologies
    Segmentation fault

    I cannot reproduce the problem though. Also, since this is my production environment, I have moved on to WP Super Cache

  4. secconsult
    Member
    Plugin Author

    Posted 8 months ago #

    Hello again,

    can you also tell me what kind of plugins/theme you have installed, so I can try to reproduce the problem?

    Thanks,
    Stefan

  5. secconsult
    Member
    Plugin Author

    Posted 8 months ago #

    Hello Newburns,

    I was not able to reproduce the problem, but I have added some additional checks to the line that caused the error and now it should work smoothly in any case.

    I have updated the trunk, so if you reinstall the plugin it should fix the problem.

    Please let me know if that solved it for you as well.

    Thanks,
    Stefan

  6. secconsult
    Member
    Plugin Author

    Posted 8 months ago #

    Hello newburns,

    I hope that solved your problem, I will put this thread to solved for now.

    Please let me know if there is any remaining issue.

    Thanks,
    Stefan

Reply

You must log in to post.

About this Plugin

About this Topic

Tags

No tags yet.